Index: lib/weblib.php
=========================================================
--- lib/weblib.php	(revision 1.1305)
+++ lib/weblib.php	Sat Jul 25 15:29:32 WST 2009
@@ -4857,93 +4260,6 @@
 }
 
 /**
- * Prints a single paging bar to provide access to other pages  (usually in a search)
- *
- * @param int $totalcount Thetotal number of entries available to be paged through
- * @param int $page The page you are currently viewing
- * @param int $perpage The number of entries that should be shown per page
- * @param mixed $baseurl If this  is a string then it is the url which will be appended with $pagevar, an equals sign and the page number.
- *                          If this is a moodle_url object then the pagevar param will be replaced by the page no, for each page.
- * @param string $pagevar This is the variable name that you use for the page number in your code (ie. 'tablepage', 'blogpage', etc)
- * @param bool $nocurr do not display the current page as a link
- * @param bool $return whether to return an output string or echo now
- * @return bool|string depending on $result
- */
-function print_paging_bar($totalcount, $page, $perpage, $baseurl, $pagevar='page',$nocurr=false, $return=false) {
-    $maxdisplay = 18;
-    $output = '';
-
-    if ($totalcount > $perpage) {
-        $output .= '<div class="paging">';
-        $output .= get_string('page') .':';
-        if ($page > 0) {
-            $pagenum = $page - 1;
-            if (!is_a($baseurl, 'moodle_url')){
-                $output .= '&nbsp;(<a class="previous" href="'. $baseurl . $pagevar .'='. $pagenum .'">'. get_string('previous') .'</a>)&nbsp;';
-            } else {
-                $output .= '&nbsp;(<a class="previous" href="'. $baseurl->out(false, array($pagevar => $pagenum)).'">'. get_string('previous') .'</a>)&nbsp;';
-            }
-        }
-        if ($perpage > 0) {
-            $lastpage = ceil($totalcount / $perpage);
-        } else {
-            $lastpage = 1;
-        }
-        if ($page > 15) {
-            $startpage = $page - 10;
-            if (!is_a($baseurl, 'moodle_url')){
-                $output .= '&nbsp;<a href="'. $baseurl . $pagevar .'=0">1</a>&nbsp;...';
-            } else {
-                $output .= '&nbsp;<a href="'. $baseurl->out(false, array($pagevar => 0)).'">1</a>&nbsp;...';
-            }
-        } else {
-            $startpage = 0;
-        }
-        $currpage = $startpage;
-        $displaycount = $displaypage = 0;
-        while ($displaycount < $maxdisplay and $currpage < $lastpage) {
-            $displaypage = $currpage+1;
-            if ($page == $currpage && empty($nocurr)) {
-                $output .= '&nbsp;&nbsp;'. $displaypage;
-            } else {
-                if (!is_a($baseurl, 'moodle_url')){
-                    $output .= '&nbsp;&nbsp;<a href="'. $baseurl . $pagevar .'='. $currpage .'">'. $displaypage .'</a>';
-                } else {
-                    $output .= '&nbsp;&nbsp;<a href="'. $baseurl->out(false, array($pagevar => $currpage)).'">'. $displaypage .'</a>';
-                }
-
-            }
-            $displaycount++;
-            $currpage++;
-        }
-        if ($currpage < $lastpage) {
-            $lastpageactual = $lastpage - 1;
-            if (!is_a($baseurl, 'moodle_url')){
-                $output .= '&nbsp;...<a href="'. $baseurl . $pagevar .'='. $lastpageactual .'">'. $lastpage .'</a>&nbsp;';
-            } else {
-                $output .= '&nbsp;...<a href="'. $baseurl->out(false, array($pagevar => $lastpageactual)).'">'. $lastpage .'</a>&nbsp;';
-            }
-        }
-        $pagenum = $page + 1;
-        if ($pagenum != $displaypage) {
-            if (!is_a($baseurl, 'moodle_url')){
-                $output .= '&nbsp;&nbsp;(<a class="next" href="'. $baseurl . $pagevar .'='. $pagenum .'">'. get_string('next') .'</a>)';
-            } else {
-                $output .= '&nbsp;&nbsp;(<a class="next" href="'. $baseurl->out(false, array($pagevar => $pagenum)) .'">'. get_string('next') .'</a>)';
-            }
-        }
-        $output .= '</div>';
-    }
-
-    if ($return) {
-        return $output;
-    }
-
-    echo $output;
-    return true;
-}
-
-/**
  * This function is used to rebuild the <nolink> tag because some formats (PLAIN and WIKI)
  * will transform it to html entities
  *
@@ -5186,42 +4502,6 @@
     return $CFG->docroot . '/' . str_replace('_utf8', '', current_language()) . '/' . $path;
 }
 
-/**
- * Returns a string containing a link to the user documentation.
- * Also contains an icon by default. Shown to teachers and admin only.
- *
- * @global object
- * @param string $path The page link after doc root and language, no leading slash.
- * @param string $text The text to be displayed for the link
- * @param string $iconpath The path to the icon to be displayed
- * @return string Either the link or an empty string
- */
-function doc_link($path='', $text='', $iconpath='') {
-    global $CFG;
-
-    if (empty($CFG->docroot)) {
-        return '';
-    }
-
-    $url = get_docs_url($path);
-
-    $target = '';
-    if (!empty($CFG->doctonewwindow)) {
-        $target = " onclick=\"window.open('$url'); return false;\"";
-    }
-
-    $str = "<a href=\"$url\"$target>";
-
-    if (empty($iconpath)) {
-        $iconpath = $CFG->httpswwwroot . '/pix/docs.gif';
-    }
-
-    // alt left blank intentionally to prevent repetition in screenreaders
-    $str .= '<img class="iconhelp" src="' .$iconpath. '" alt="" />' .$text. '</a>';
-
-    return $str;
-}
-
 
 /**
  * Standard Debugging Function
@@ -5326,58 +4606,6 @@
 
 
 /**
- * Returns an image of an up or down arrow, used for column sorting. To avoid unnecessary DB accesses, please
- * provide this function with the language strings for sortasc and sortdesc.
- *
- * If no sort string is associated with the direction, an arrow with no alt text will be printed/returned.
- *
- * @global object
- * @param string $direction 'up' or 'down'
- * @param string $strsort The language string used for the alt attribute of this image
- * @param bool $return Whether to print directly or return the html string
- * @return string|void depending on $return
- *
- */
-function print_arrow($direction='up', $strsort=null, $return=false) {
-    global $OUTPUT;
-
-    if (!in_array($direction, array('up', 'down', 'right', 'left', 'move'))) {
-        return null;
-    }
-
-    $return = null;
-
-    switch ($direction) {
-        case 'up':
-            $sortdir = 'asc';
-            break;
-        case 'down':
-            $sortdir = 'desc';
-            break;
-        case 'move':
-            $sortdir = 'asc';
-            break;
-        default:
-            $sortdir = null;
-            break;
-    }
-
-    // Prepare language string
-    $strsort = '';
-    if (empty($strsort) && !empty($sortdir)) {
-        $strsort  = get_string('sort' . $sortdir, 'grades');
-    }
-
-    $return = ' <img src="'.$OUTPUT->old_icon_url('t/' . $direction) . '" alt="'.$strsort.'" /> ';
-
-    if ($return) {
-        return $return;
-    } else {
-        echo $return;
-    }
-}
-
-/**
  * @return boolean true if the current language is right-to-left (Hebrew, Arabic etc)
  */
 function right_to_left() {
